### Method

# Adw LeafletPage get_name

deprecated: 1.4

#### Declaration [src]

    const char*
    adw_leaflet_page_get_name (
      AdwLeafletPage* self
    )

#### Description [src]

Gets the name of `self`.

Deprecated since: 1.4

See the migration guide

Gets property | `Adw.LeafletPage:name`

#### Return value

Type: `const char*`

The name of `self`.

The data is owned by the instance.
The return value can be `NULL`.
The value is a NUL terminated UTF-8 string.